API recipes

Requests you can copy and run. Each one returns live data from the API.

Examples

Find assessment vs market value gaps

Programming language

Select the programming language you want to display the code examples in.

Find properties assessed above their market estimate
Pull Calgary properties whose assessment value is at least $50,000 higher than our estimated sale price. The assessment_vs_estimate field returns the computed difference, useful for property tax appeal prospecting and screening for mispriced properties.
Request
Shell session
curl -X GET "https://api.houski.ca/properties?api_key=YOUR_API_KEY&assessment_vs_estimate_gt=50000&city=calgary&country_abbreviation=ca&page=1&province_abbreviation=ab&results_per_page=3&select=address,assessment_value,assessment_year,estimate_sale_price,assessment_vs_estimate,property_taxes"
TypeScript code
const houski_recipe_data = async (): Promise<PropertiesResponse> => {

    // You must copy the PropertiesResponse type declarations from the 
    // Houski API documentation to strongly type the response

    const url = new URL('https://api.houski.ca/properties');
    url.searchParams.set('api_key', 'YOUR_API_KEY');
    url.searchParams.set('assessment_vs_estimate_gt', '50000');
    url.searchParams.set('city', 'calgary');
    url.searchParams.set('country_abbreviation', 'ca');
    url.searchParams.set('page', '1');
    url.searchParams.set('province_abbreviation', 'ab');
    url.searchParams.set('results_per_page', '3');
    url.searchParams.set('select', 'address,assessment_value,assessment_year,estimate_sale_price,assessment_vs_estimate,property_taxes');

    const response = await fetch(url);
    const data = await response.json();

    return data;
}

(async () => {
let data: PropertiesResponse = await houski_recipe_data();

// Log the response
console.log(data);
})();
Response
JSON
{
  "cache_hit": false,
  "cost_cents": 1.56,
  "data": [
    {
      "address": "83 Royston Rise NW",
      "assessment_value": 1020000,
      "assessment_vs_estimate": 61240,
      "assessment_year": 2026,
      "estimate_sale_price": 958760,
      "property_id": "1935c053bbdab7c5",
      "property_taxes": 6783
    },
    {
      "address": "214 260 Rowley Way NW",
      "assessment_value": 477000,
      "assessment_vs_estimate": 50255,
      "assessment_year": 2026,
      "estimate_sale_price": 426745,
      "property_id": "2046469f6608526c",
      "property_taxes": 2978
    },
    {
      "address": "507 Rochester Terrace NW",
      "assessment_value": 923000,
      "assessment_vs_estimate": 60957,
      "assessment_year": 2026,
      "estimate_sale_price": 862043,
      "property_id": "2085049da54854ee",
      "property_taxes": 6138
    }
  ],
  "error": "",
  "pagination": {
    "current_page": 1,
    "has_next_page": true,
    "has_previous_page": false,
    "page_total": 23063
  },
  "price_quote": false,
  "result_total": 69187,
  "time_ms": 341,
  "ui_info": {
    "city": "Calgary",
    "city_id": "6ec95b53075d062c",
    "city_link": "ca/ab/calgary",
    "city_slug": "calgary",
    "country": "Canada",
    "country_abbreviation": "CA",
    "country_abbreviation_id": "9ace2b6431b7f1be",
    "country_abbreviation_link": "ca",
    "country_slug": "canada",
    "province": "Alberta",
    "province_abbreviation": "AB",
    "province_abbreviation_id": "aae1f05a0f89d2c7",
    "province_abbreviation_link": "ca/ab",
    "province_slug": "alberta"
  }
}